Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Class PostCommand<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.InferenceCommand<E,P,C,K,H,S>
          com.hammurapi.eventbus.PostCommand<E,P,C,K,H,S>

Type Parameters:
  `E` -
  `P` -
  `C` -
  `H` -

    public class PostCommand<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

extends InferenceCommand<E,P,C,K,H,S>

Constructor Summary
`PostCommand(AbstractEventBus.Handle<E,P,C,K> handle, K handlerId, EventHandler<E,P,C,H,S> handler, AbstractEventBus.Handle<E,P,C,K>[] inputs, InferenceContext<E,P,C,K,H,S> inferenceContext)` For update
`PostCommand(E event, boolean directPost, K handlerId, EventHandler<E,P,C,H,S> handler, AbstractEventBus.Handle<E,P,C,K>[] inputs, InferenceContext<E,P,C,K,H,S> inferenceContext, [] validators)`

Method Summary
`E` | `getEvent()`
`AbstractEventBus.Handle<E,P,C,K>` | `getHandle()`
`[]` | `getValidators()`
`boolean` | `isDirectPost()`
`boolean` | `isHandleMode()`
`String` | `toString()`

Methods inherited from class com.hammurapi.eventbus.InferenceCommand
`getHandler, getHandlerId, getInferenceContext, getInputs, setInferenceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PostCommand

    public PostCommand(E event,
                       boolean directPost,
                       K handlerId,
                       EventHandler<E,P,C,H,S> handler,
                       AbstractEventBus.Handle<E,P,C,K>[] inputs,
                       InferenceContext<E,P,C,K,H,S> inferenceContext,
                       [] validators)

### PostCommand

    public PostCommand(AbstractEventBus.Handle<E,P,C,K> handle,
                       K handlerId,
                       EventHandler<E,P,C,H,S> handler,
                       AbstractEventBus.Handle<E,P,C,K>[] inputs,
                       InferenceContext<E,P,C,K,H,S> inferenceContext)

  For update

  Parameters:
    `handle` -
    `directPost` -
    `handlerId` -
    `handler` -
    `inputs` -
    `inferenceContext` -
    `validators` -

Method Detail

### getEvent

    public E getEvent()

### getHandle

    public AbstractEventBus.Handle<E,P,C,K> getHandle()

### isHandleMode

    public boolean isHandleMode()

### getValidators

    public [] getValidators()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isDirectPost

    public boolean isDirectPost()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD